package com.zcloud.modules.map.service;



import cn.hutool.db.Page;
import com.zcloud.modules.sys.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：实施地图八项作业
 * 作者：luoxiaobao
 * 时间：2022-09-21
 * 官网：www.zcloudchina.com
 */
public interface MapEightService {

	/**
	 * 获取当前作业人的八项作业信息
	 * @param empNo 工号
	 * @return
	 * @throws Exception
	 */
	List<PageData> findEightsByUserIds(PageData pd)throws Exception;

	Object getAllTickets(String workNumbers) throws Exception;
}

